--
-- dim_STAT Alert 
--

drop table dim_Alert;
drop table dim_Alert_Hosts;
drop table dim_Alert_Actions;
drop table dim_Alert_Vars;


create table dim_Alert (
  ID           int not null,
  Name         varchar(24) not null,
  Info         varchar(64) not null,
  Freq         int not null,
  dt_next      int not null,
  Cond_Expr    text not null
);

create unique index dim_Alert_ID on dim_Alert( ID );


create table dim_Alert_Hosts (
  ID           int not null,
  StatID       int not null
);

create unique index dim_Alert_Hosts_ID  on dim_Alert_Hosts( ID, StatID );


create table dim_Alert_Actions (
  ID       int not null,
  Type     varchar(24) not null,
  Action   text not null
);

create index dim_Alert_Actions_ID  on dim_Alert_Actions( ID );


create table dim_Alert_Vars (
  ID           int not null,
  Name         varchar(24) not null,
  Var1         varchar(24) not null,
  Tabname      varchar(24) not null,
  AgrCMD       varchar(12) not null,
  TMback       int not null,              -- seconds
  Var2         varchar(24) not null,
  Patt         varchar(128) not null
);

create unique index dim_Alert_Vars_ID on dim_Alert_Vars( ID, Name );
